$packageName = 'jamovi.portable'
$url64 = 'https://www.jamovi.org/downloads/jamovi-0.7.3.5.zip'
$installDir = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$checksum64 = '392b1b4b23cc567f41ca20ea6fa18de1371d43f9cb4ce832bed5452d25f89574'
$checksumType64 = 'sha256'
Install-ChocolateyZipPackage -PackageName $packageName `
                             -UnzipLocation $installDir `
                             -Url64bit $url64 `
                             -Checksum64 $checksum64 `
                             -ChecksumType64 $checksumType64

$files = get-childitem $installDir -include *.exe -recurse

foreach ($file in $files) {
  if (!($file.Name.Contains("jamovi.exe"))) {
    #generate an ignore file
    New-Item "$file.ignore" -type file -force | Out-Null
  }
  else{
    New-Item "$file.gui" -type file -force | Out-Null
  }
}
